> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mycreditapp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a private record

> Fully update a private record by its ID.
    #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
    | Guest | Host | Self |
    |-------|------|------|
    | ❌    | ❌   | ✅  |



## OpenAPI

````yaml /content/developer-guide/api-reference/openapi_v1.json put /private-records/{record_id}
openapi: 3.1.0
info:
  title: API - V1
  version: 1.0.0
servers:
  - url: https://api.mycreditapp.ai/v1-beta
security: []
paths:
  /private-records/{record_id}:
    put:
      tags:
        - Private Records
      summary: Update a private record
      description: |-
        Fully update a private record by its ID.
            #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
            | Guest | Host | Self |
            |-------|------|------|
            | ❌    | ❌   | ✅  |
      operationId: update_private_record_private_records__record_id__put
      parameters:
        - name: record_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: >-
              Unique identifier of the [private
              record](https://docs.mycreditapp.ai/api-reference/private-records/get-private-records)
            examples:
              - b25e7b65-e46a-40d5-a0f2-0de8c2b354aa
            title: Record Id
          description: >-
            Unique identifier of the [private
            record](https://docs.mycreditapp.ai/api-reference/private-records/get-private-records)
        - name: Requester-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: |

              The unique identifier of the organization making the request.
              **This ID is used to authorize the requester within the system**.
            examples:
              - 054b4106-174b-46b0-97f8-86d8d7b6f0af
            title: Requester-Organization-Id
          description: |

            The unique identifier of the organization making the request.
            **This ID is used to authorize the requester within the system**.
        - name: Target-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: >

              The unique identifier of the organization that is the target of
              the request.

              The `Target-Organization-ID` may match the
              `Requester-Organization-ID` if the requester accesses their own
              resources.

              If the `Target-Organization-ID` differs from the
              `Requester-Organization-ID`, the requester can access third-party
              resources **if the requester has a connection with the target
              organization and is authorized to perform such actions**.
            examples:
              - 123e4567-e89b-12d3-a456-426614174000
            title: Target-Organization-Id
          description: >

            The unique identifier of the organization that is the target of the
            request.

            The `Target-Organization-ID` may match the
            `Requester-Organization-ID` if the requester accesses their own
            resources.

            If the `Target-Organization-ID` differs from the
            `Requester-Organization-ID`, the requester can access third-party
            resources **if the requester has a connection with the target
            organization and is authorized to perform such actions**.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePrivateRecord'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrivateRecord'
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Invalid currency code!
                    type: request
                    code: invalid_currency
                  - loc: []
                    msg: Invalid organization role!
                    type: request
                    code: invalid_organization_role
                  - loc: []
                    msg: Invalid NAICS code!
                    type: request
                    code: invalid_naics_code
                  - loc: []
                    msg: Invalid organization size!
                    type: request
                    code: invalid_organization_size
                  - loc: []
                    msg: Invalid corporation type!
                    type: request
                    code: invalid_corporation_type
                  - loc: []
                    msg: Unsupported CRUD operation!
                    type: request
                    code: unsupported_crud_operation
                  - loc: []
                    msg: Invalid country code!
                    type: request
                    code: invalid_country_code
              schema:
                $ref: '#/components/schemas/APIError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Token is required!
                    type: token
                    code: token_required
                  - loc: []
                    msg: The token has expired!
                    type: token
                    code: token_expired
                  - loc: []
                    msg: Invalid token!
                    type: token
                    code: invalid_token
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Access denied!
                    type: request
                    code: access_denied
              schema:
                $ref: '#/components/schemas/APIError'
        '404':
          description: Not Found
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Account not found!
                    type: request
                    code: account_not_found
                  - loc: []
                    msg: Organization not found!
                    type: request
                    code: organization_not_found
                  - loc: []
                    msg: Private record not found!
                    type: request
                    code: private_record_not_found
              schema:
                $ref: '#/components/schemas/APIError'
        '409':
          description: Conflict
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Private record with this name or email already exists!
                    type: request
                    code: private_record_already_exists
                  - loc: []
                    msg: >-
                      The account is in the process of being deleted! The
                      Account's email can only be reused after its data has been
                      completely deleted. The removal process may take up to 24
                      hours.
                    type: request
                    code: account_being_deleted
                  - loc: []
                    msg: >-
                      The organization is in the process of being deleted! The
                      removal process may take up to 24 hours.
                    type: request
                    code: organization_being_deleted
              schema:
                $ref: '#/components/schemas/APIError'
        '413':
          description: Request Entity Too Large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: The request is too large!
                    type: request
                    code: request_too_large
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc:
                      - string
                      - 0
                    msg: string
                    type: string
                    code: validation_error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Error processing request, please try later!
                    type: try_later
                    code: internal_conflict_error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Service is under maintenance, please try later!
                    type: maintanance
                    code: service_under_maintenance
      security:
        - Token: []
components:
  schemas:
    UpdatePrivateRecord:
      properties:
        name:
          type: string
          maxLength: 300
          minLength: 1
          title: Name
          description: Full name of the organization
          examples:
            - Example Corporation
        email:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
              format: email
            - type: 'null'
          title: Email
          description: Official email of the organization
          examples:
            - info@example.com
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
          description: Contact phone number
          examples:
            - +1-555-123-4567
        established_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Established Date
          description: Date when the organization was established
          examples:
            - '2005-08-15'
        size_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Size Id
          description: >-
            Identifier of the organization
            [size](https://docs.mycreditapp.ai/api-reference/resources/get-the-organization-sizes)
          examples:
            - 6f0d84f7-e442-4ac0-8297-24e1fe6da692
        role_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Role Id
          description: >-
            Identifier of the organization
            [role](https://docs.mycreditapp.ai/api-reference/resources/get-the-organization-roles)
          examples:
            - 292e8dad-37b5-4cb3-8a00-5bb840be894e
        naics_code_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Naics Code Id
          description: >-
            Identifier of the organization [NAICS
            code](https://docs.mycreditapp.ai/api-reference/resources/get-the-naics-codes)
          examples:
            - 78b348b8-009c-4b87-af32-60a12fbc6e60
        address:
          anyOf:
            - type: string
              maxLength: 500
              minLength: 1
            - type: 'null'
          title: Address
          description: Valid organization's street address
          examples:
            - 123 Main Street
        city:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
            - type: 'null'
          title: City
          description: Valid organization's city
          examples:
            - New York
        state:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
            - type: 'null'
          title: State
          description: Valid organization's state or province
          examples:
            - NY
        postal_code:
          anyOf:
            - type: string
              maxLength: 30
              minLength: 1
            - type: 'null'
          title: Postal Code
          description: Valid organization's postal code
          examples:
            - '10001'
        country_code:
          anyOf:
            - type: string
              maxLength: 2
              minLength: 2
            - type: 'null'
          title: Country Code
          description: >-
            Valid organization's country
            [code](https://docs.mycreditapp.ai/api-reference/resources/get-the-available-countries)
            in ISO 3166-1 alpha-2
          examples:
            - US
        website:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
              format: uri
            - type: 'null'
          title: Website
          description: Valid organization's website URL
          examples:
            - https://www.example-corp.com
        company_registration_number:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
            - type: 'null'
          title: Company Registration Number
          description: Valid organization's company registration number
          examples:
            - '123456789'
        tax_id:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
            - type: 'null'
          title: Tax Id
          description: Valid organization's tax identification number
          examples:
            - '987654321'
        corporation_type_id:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 10
            - type: 'null'
          title: Corporation Type Id
          description: >-
            Identifier of the organization's [type of
            corporation](https://docs.mycreditapp.ai/api-reference/resources/get-the-corporation-types)
          examples:
            - de175027-612d-4103-a503-59ef0fe2849b
      type: object
      required:
        - name
      title: UpdatePrivateRecord
    PrivateRecord:
      properties:
        name:
          type: string
          maxLength: 300
          minLength: 1
          title: Name
          description: Full name of the organization
          examples:
            - Example Corporation
        email:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
              format: email
            - type: 'null'
          title: Email
          description: Official email of the organization
          examples:
            - info@example.com
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
          description: Contact phone number
          examples:
            - +1-555-123-4567
        established_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Established Date
          description: Date when the organization was established
          examples:
            - '2005-08-15'
        size_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Size Id
          description: >-
            Identifier of the organization
            [size](https://docs.mycreditapp.ai/api-reference/resources/get-the-organization-sizes)
          examples:
            - 6f0d84f7-e442-4ac0-8297-24e1fe6da692
        role_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Role Id
          description: >-
            Identifier of the organization
            [role](https://docs.mycreditapp.ai/api-reference/resources/get-the-organization-roles)
          examples:
            - 292e8dad-37b5-4cb3-8a00-5bb840be894e
        naics_code_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Naics Code Id
          description: >-
            Identifier of the organization [NAICS
            code](https://docs.mycreditapp.ai/api-reference/resources/get-the-naics-codes)
          examples:
            - 78b348b8-009c-4b87-af32-60a12fbc6e60
        address:
          anyOf:
            - type: string
              maxLength: 500
              minLength: 1
            - type: 'null'
          title: Address
          description: Valid organization's street address
          examples:
            - 123 Main Street
        city:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
            - type: 'null'
          title: City
          description: Valid organization's city
          examples:
            - New York
        state:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
            - type: 'null'
          title: State
          description: Valid organization's state or province
          examples:
            - NY
        postal_code:
          anyOf:
            - type: string
              maxLength: 30
              minLength: 1
            - type: 'null'
          title: Postal Code
          description: Valid organization's postal code
          examples:
            - '10001'
        country_code:
          anyOf:
            - type: string
              maxLength: 2
              minLength: 2
            - type: 'null'
          title: Country Code
          description: >-
            Valid organization's country
            [code](https://docs.mycreditapp.ai/api-reference/resources/get-the-available-countries)
            in ISO 3166-1 alpha-2
          examples:
            - US
        website:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
              format: uri
            - type: 'null'
          title: Website
          description: Valid organization's website URL
          examples:
            - https://www.example-corp.com
        company_registration_number:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
            - type: 'null'
          title: Company Registration Number
          description: Valid organization's company registration number
          examples:
            - '123456789'
        tax_id:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
            - type: 'null'
          title: Tax Id
          description: Valid organization's tax identification number
          examples:
            - '987654321'
        corporation_type_id:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 10
            - type: 'null'
          title: Corporation Type Id
          description: >-
            Identifier of the organization's [type of
            corporation](https://docs.mycreditapp.ai/api-reference/resources/get-the-corporation-types)
          examples:
            - de175027-612d-4103-a503-59ef0fe2849b
        currency_code:
          type: string
          maxLength: 3
          minLength: 3
          title: Currency Code
          description: >-
            Valid organization's [currency
            code](https://docs.mycreditapp.ai/api-reference/resources/get-the-available-currencies)
            in ISO 4217
          examples:
            - USD
        id:
          type: string
          format: uuid
          title: Id
          description: >-
            Unique identifier of the [private
            record](https://docs.mycreditapp.ai/api-reference/private-records/get-private-records)
          examples:
            - b25e7b65-e46a-40d5-a0f2-0de8c2b354aa
        archived:
          type: boolean
          title: Archived
          description: Whether the record is archived
        archived_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Archived At
          description: Timestamp when the record was archived
          examples:
            - '2025-12-01T12:34:56.123456'
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the record was created
          examples:
            - '2025-01-01T09:00:00.123456'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the record was updated
          examples:
            - '2025-06-01T15:00:00.123456'
      type: object
      required:
        - name
        - currency_code
        - id
        - archived
        - archived_at
        - created_at
        - updated_at
      title: PrivateRecord
    APIError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Detail
          description: >

            List of returned errors.

            **All unsuccessful error codes except code `422` can only contain 1
            element in the list**.
      type: object
      required:
        - detail
      title: APIError
    ErrorItem:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Loc
          description: |

            Shows the dynamic location of the current error.
            If an empty array is returned, the error is static.
          examples:
            - - body
              - date_field
              - 0
            - - header
              - Authorization
        msg:
          type: string
          title: Msg
          description: |

            A human-readable message providing more details about the error.
          examples:
            - Token is required!
            - Invalid token!
        type:
          type: string
          title: Type
          description: >

            A string indicating the type of error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible type for a specific error**.
          examples:
            - token
            - request
            - try_later
        code:
          type: string
          title: Code
          description: >

            Unique text error code identifying the error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible code for a specific error**.
          examples:
            - token_required
            - invalid_token
            - access_denied
      type: object
      required:
        - loc
        - msg
        - type
        - code
      title: ErrorItem
  securitySchemes:
    Token:
      type: http
      description: >-
        [Bearer
        authentication](/content/developer-guide/introduction/authentication)
        using a JWT token. Provide a valid access token. Authorization header
        format: `Authorization: Bearer <token>`.
      scheme: bearer

````